SSC attributes netapp_compression and netapp_dedup are not followed

Bug #1236839 reported by Jeff Applewhite on 2013-10-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Navneet
Havana
Medium
Navneet

Bug Description

stack@openstack46:~/logs/screen$ cinder extra-specs-list
+--------------------------------------+---------------+--------------------------------------------------------------------+
| ID | Name | extra_specs |
+--------------------------------------+---------------+--------------------------------------------------------------------+
| 4ac4931c-e0a8-4109-bbed-143be5fd741f | compressed | {u'netapp_compression': u'true'} |
| 64abd75b-2ca4-46ee-9105-78985825bae3 | thick | {u'netapp_thick_provisioned': u'true'} |
| e9e7d615-c4f2-4e5c-a4b5-05bf1d42e8c1 | thin_mirrored | {u'netapp_thin_provisioned': u'true', u'netapp_mirrored': u'true'} |
+--------------------------------------+---------------+--------------------------------------------------------------------+

# cinder create --volume-type compressed 1

c-sch log shows:

2013-10-07 15:24:15.023 WARNING cinder.scheduler.host_manager [req-d45f2f47-7b6d-434b-a9c2-675d0971c85b 6dd9eb17c0e84c008a645f6f50c357c9 25ac59312e5d440090a0cf4879c2340d] volume service is down or disabled. (host: openstack46)
2013-10-07 15:24:15.030 ERROR cinder.volume.flows.create_volume [req-d45f2f47-7b6d-434b-a9c2-675d0971c85b 6dd9eb17c0e84c008a645f6f50c357c9 25ac59312e5d440090a0cf4879c2340d] Failed to schedule_create_volume: No valid host was found.

10.63.165.74:/compressed export is mounted and in shares.conf yet scheduler cannot see a volume with this capability

Navneet (singn) on 2013-10-08
Changed in cinder:
assignee: nobody → Navneet (singn)
Mike Perez (thingee) on 2013-10-16
tags: added: drivers

Fix proposed to branch: master
Review: https://review.openstack.org/52872

Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/52872
Committed: http://github.com/openstack/cinder/commit/592d860481e04312448d9ae0338066bd475fad7e
Submitter: Jenkins
Branch: master

commit 592d860481e04312448d9ae0338066bd475fad7e
Author: Navneet Singh <email address hidden>
Date: Sat Oct 19 18:51:01 2013 +0530

    NetApp fix for compression and dedup stats

    This change fixes the incorrect stats reported
    for compression and deduplication by NetApp
    iscsi and nfs backend.

    Change-Id: I3e97d953b3ea2231c3eb1f950b0ca6705b3b2286
    Closes-Bug:#1236839

Changed in cinder:
status: In Progress → Fix Committed
Navneet (singn) on 2013-10-25
tags: added: havana-backport-potential

Reviewed: https://review.openstack.org/53782
Committed: http://github.com/openstack/cinder/commit/9f8a70904efde56fddbd77d46812f878a9752dd6
Submitter: Jenkins
Branch: stable/havana

commit 9f8a70904efde56fddbd77d46812f878a9752dd6
Author: Navneet Singh <email address hidden>
Date: Sat Oct 19 18:51:01 2013 +0530

    NetApp fix for compression and dedup stats

    This change fixes the incorrect stats reported
    for compression and deduplication by NetApp
    iscsi and nfs backend.

    Change-Id: I3e97d953b3ea2231c3eb1f950b0ca6705b3b2286
    Closes-Bug:#1236839
    (cherry picked from commit 592d860481e04312448d9ae0338066bd475fad7e)

tags: added: in-stable-havana
Thierry Carrez (ttx) on 2013-12-04
Changed in cinder:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Alan Pevec (apevec) on 2013-12-09
tags: removed: havana-backport-potential in-stable-havana
Changed in cinder:
importance: Undecided → Medium
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers